Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235636 - Review Request: pipepanic - A pipe connecting game
Summary: Review Request: pipepanic - A pipe connecting game
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-08 17:51 UTC by Andrea Musuruane
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-05 12:43:22 UTC
hdegoede: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)
PATCH: set window title and icon (deleted)
2007-05-01 20:32 UTC, Hans de Goede
no flags Details | Diff

Description Andrea Musuruane 2007-04-08 17:51:19 UTC
Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/pipepanic.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/pipepanic-0.1.3-1.src.rpm

Description:
Pipepanic is a pipe connecting game using libSDL that is playable on 
Linux PCs and the Sharp Zaurus. Connect as many different shaped pipes 
together as possible within the time given.

Comment 1 Adam Goode 2007-04-11 14:42:08 UTC
Hi, I'd be happy to review this if you help me out and review a game for me:

Escape:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235588

Data for Escape:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235589

Comment 2 Hans de Goede 2007-04-17 18:06:35 UTC
Andrea, the same goes for me, I would be happy to exchange a review for a review
of any of these:

* asc-music - Background music for the game asc -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233256 - requires asc
* vegastrike - 3D OpenGL spaceflight simulator -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233782
* vegastrike-data - Data files for Vega Strike -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233783
* ballz - Platform game with some puzzle elements -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=236798


Comment 3 Hans de Goede 2007-05-01 14:44:47 UTC
I haven't looked yet, but if this game points / uses Lucas Trademark PipeDream
anywhere, then the use of that TM in docs / credits / etc, must be removed.

For more on this see the pipenightdreams review and spec file, and also:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=224627


Comment 4 Andrea Musuruane 2007-05-01 17:29:45 UTC
(In reply to comment #3)
> I haven't looked yet, but if this game points / uses Lucas Trademark PipeDream
> anywhere, then the use of that TM in docs / credits / etc, must be removed.

The few docs shipped do not have such references.

Comment 5 Hans de Goede 2007-05-01 20:31:11 UTC
MUST:
=====
* rpmlint output is clean
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries, ldconfig not needed
* Not relocatable
0 Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code and permissable content
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* .desktop file as required and properly installed

MUST FIX
========
* /usr/share/pipepanic is not owned, change:
  %{_datadir}/%{name}/* under files to just %{_datadir}/%{name}

Should FIX
==========
* Drop " that is playable on Linux PCs and the Sharp Zaurus." from %description
  ofcourse it runs on linux, its a Fedora package, and that it also runs
  on the Zaurus is of 0 interest.
* Set a window title, currently the window is untitled. I'll attach a patch for 
  this. Notice that this patch also needs an icon file in bmp format installed
  as /usr/share/pipepanic/icon.bmp

  This file can be generated by the following obscure ImageMagick command,
  and yes the using of convert twice and the | is necessary:
convert PipepanicIcon32.png bmp3:- | convert - -fill '#FF00FF' -opaque black
-colors 256 -compress none bmp3:icon.bmp


Comment 6 Hans de Goede 2007-05-01 20:32:09 UTC
Created attachment 153891 [details]
PATCH: set window title and icon

Comment 7 Andrea Musuruane 2007-05-02 19:23:24 UTC
Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/pipepanic.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/pipepanic-0.1.3-2.src.rpm

Changelog:
- Fixed package ownership of its datadir
- Changed description
- Added a patch by Hans de Goede to set a window title and icon

Comment 8 Hans de Goede 2007-05-02 19:33:40 UTC
Looks good now, approved!


Comment 9 Andrea Musuruane 2007-05-03 07:47:34 UTC
New Package CVS Request
=======================
Package Name: pipepanic
Short Description: A pipe connecting game    
Owners: musuruan@gmail.com
Branches: FC-5 FC-6
InitialCC:


Comment 10 Andrea Musuruane 2007-05-05 12:43:22 UTC
Thanks for the review.

Built successfully. Closing.



Note You need to log in before you can comment on or make changes to this bug.